---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    openshift.io/scc: privileged
  creationTimestamp: "2020-05-26T14:17:23Z"
  generateName: tuned-
  labels:
    controller-revision-hash: df5855f8
    openshift-app: tuned
    pod-template-generation: "1"
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:controller-revision-hash: {}
          f:openshift-app: {}
          f:pod-template-generation: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"53782cdd-c7a3-407c-8714-c89f8d91de48"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:affinity:
          .: {}
          f:nodeAffinity:
            .: {}
            f:requiredDuringSchedulingIgnoredDuringExecution:
              .: {}
              f:nodeSelectorTerms: {}
        f:containers:
          k:{"name":"tuned"}:
            .: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"OCP_NODE_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
              k:{"name":"RELEASE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"RESYNC_PERIOD"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"WATCH_NAMESPACE"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:lifecycle:
              .: {}
              f:preStop:
                .: {}
                f:exec:
                  .: {}
                  f:command: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/modprobe.d"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:subPath: {}
              k:{"mountPath":"/etc/sysconfig"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:subPath: {}
              k:{"mountPath":"/etc/sysctl.conf"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
                f:subPath: {}
              k:{"mountPath":"/etc/sysctl.d"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
                f:subPath: {}
              k:{"mountPath":"/etc/systemd"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:subPath: {}
              k:{"mountPath":"/host"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/lib/modules"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
              k:{"mountPath":"/run/systemd/system"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
              k:{"mountPath":"/sys"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/lib/tuned/profiles-data"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/run/dbus"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:hostIPC: {}
        f:hostNetwork: {}
        f:hostPID: {}
        f:nodeSelector:
          .: {}
          f:kubernetes.io/os: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"etc"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"host"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"lib-modules"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"run-systemd-system"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"sys"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"var-lib-tuned-profiles-data"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:items: {}
              f:name: {}
              f:optional: {}
            f:name: {}
          k:{"name":"var-run-dbus"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
    manager: kube-controller-manager
    operation: Update
    time: "2020-05-26T14:17:23Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.0.162.213"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2020-05-26T14:17:33Z"
  name: tuned-wp4xg
  namespace: openshift-cluster-node-tuning-operator
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: DaemonSet
    name: tuned
    uid: 53782cdd-c7a3-407c-8714-c89f8d91de48
  resourceVersion: "4231"
  selfLink: /api/v1/namespaces/openshift-cluster-node-tuning-operator/pods/tuned-wp4xg
  uid: dce0304e-66a1-463a-a966-831c51e6ff1a
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchFields:
          - key: metadata.name
            operator: In
            values:
            - ip-10-0-162-213.ec2.internal
  containers:
  - command:
    - /var/lib/tuned/bin/run
    - start
    env:
    - name: WATCH_NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.namespace
    - name: OCP_NODE_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    - name: RESYNC_PERIOD
      value: "600"
    - name: RELEASE_VERSION
      value: 0.0.1-2020-05-26-050349
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:896f77056906fe7dd2305318b1f15812496c4267df8095216f150dafc0060040
    imagePullPolicy: IfNotPresent
    lifecycle:
      preStop:
        exec:
          command:
          - /var/lib/tuned/bin/run
          - stop
    name: tuned
    resources:
      requests:
        cpu: 10m
        memory: 50Mi
    securityContext:
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /var/lib/tuned/profiles-data
      name: var-lib-tuned-profiles-data
    - mountPath: /etc/modprobe.d
      name: etc
      subPath: modprobe.d
    - mountPath: /etc/sysconfig
      name: etc
      subPath: sysconfig
    - mountPath: /etc/sysctl.d
      name: etc
      readOnly: true
      subPath: sysctl.d
    - mountPath: /etc/sysctl.conf
      name: etc
      readOnly: true
      subPath: sysctl.conf
    - mountPath: /etc/systemd
      name: etc
      subPath: systemd
    - mountPath: /sys
      name: sys
    - mountPath: /var/run/dbus
      name: var-run-dbus
      readOnly: true
    - mountPath: /run/systemd/system
      name: run-systemd-system
      readOnly: true
    - mountPath: /lib/modules
      name: lib-modules
      readOnly: true
    - mountPath: /host
      name: host
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: tuned-token-n9q7q
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  hostIPC: true
  hostNetwork: true
  hostPID: true
  nodeName: ip-10-0-162-213.ec2.internal
  nodeSelector:
    kubernetes.io/os: linux
  priority: 2000001000
  priorityClassName: system-node-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: tuned
  serviceAccountName: tuned
  terminationGracePeriodSeconds: 30
  tolerations:
  - operator: Exists
  volumes:
  - hostPath:
      path: /etc
      type: Directory
    name: etc
  - hostPath:
      path: /sys
      type: Directory
    name: sys
  - hostPath:
      path: /var/run/dbus
      type: Directory
    name: var-run-dbus
  - hostPath:
      path: /run/systemd/system
      type: Directory
    name: run-systemd-system
  - hostPath:
      path: /lib/modules
      type: Directory
    name: lib-modules
  - hostPath:
      path: /
      type: Directory
    name: host
  - configMap:
      defaultMode: 420
      items:
      - key: tuned-profiles-data
        path: tuned-profiles.yaml
      name: tuned-profiles
      optional: true
    name: var-lib-tuned-profiles-data
  - name: tuned-token-n9q7q
    secret:
      defaultMode: 420
      secretName: tuned-token-n9q7q
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:17:23Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:17:33Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:17:33Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:17:23Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://512cc13de4bd42b675dae433bcf19f43d873e38e2f19f16fbd95b3989ef79586
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:896f77056906fe7dd2305318b1f15812496c4267df8095216f150dafc0060040
    imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:896f77056906fe7dd2305318b1f15812496c4267df8095216f150dafc0060040
    lastState: {}
    name: tuned
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2020-05-26T14:17:32Z"
  hostIP: 10.0.162.213
  phase: Running
  podIP: 10.0.162.213
  podIPs:
  - ip: 10.0.162.213
  qosClass: Burstable
  startTime: "2020-05-26T14:17:23Z"
